Bug 476075 - use KVM pvclock code to detect/correct lost ticks
use KVM pvclock code to detect/correct lost ticks
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
All Linux
urgent Severity urgent
: rc
: ---
Assigned To: Glauber Costa
Red Hat Kernel QE team
: ZStream
Depends On: 463573
Blocks: 499522 516860 520685 528898
  Show dependency treegraph
 
Reported: 2008-12-11 14:55 EST by Rik van Riel
Modified: 2015-10-26 07:56 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 516860 (view as bug list)
Environment:
Last Closed: 2010-03-30 02:53:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0178 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.5 kernel security and bug fix update 2010-03-29 08:18:21 EDT

  None (edit)
Description Rik van Riel 2008-12-11 14:55:47 EST
Description of problem:

The upstream pvclock code is not directly applicable to RHEL5, because of the changes in timer infrastructure code.  However, it should be possible to use the infrastructure from the vmware patches (from bug #463573) to use the pvclock code to detect and correct for lost ticks - potentially even better.

Justification: it is important that timekeeping on ovirt be at least as good as timekeeping on vmware.
Comment 1 RHEL Product and Program Management 2009-02-16 10:32:44 EST
Updating PM score.
Comment 14 Don Zickus 2009-09-04 14:44:55 EDT
in kernel-2.6.18-165.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 17 Chris Ward 2010-02-11 05:30:10 EST
~~ Attention Customers and Partners - RHEL 5.5 Beta is now available on RHN ~~

RHEL 5.5 Beta has been released! There should be a fix present in this 
release that addresses your request. Please test and report back results 
here, by March 3rd 2010 (2010-03-03) or sooner.

Upon successful verification of this request, post your results and update 
the Verified field in Bugzilla with the appropriate value.

If you encounter any issues while testing, please describe them and set 
this bug into NEED_INFO. If you encounter new defects or have additional 
patch(es) to request for inclusion, please clone this bug per each request
and escalate through your support representative.
Comment 20 errata-xmlrpc 2010-03-30 02:53:01 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0178.html

Note You need to log in before you can comment on or make changes to this bug.